﻿#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetBase.h"
#include "ItemAmount.h"

#include "RRDADataAssetSolarPower.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDADataAssetSolarPower : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * Fuel item that this uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "SolarPower")
	FItemAmount mInput;
	
	/**
	 * What this produces
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "SolarPower")
	FItemAmount mOutput;

	/**
	 * What the min heat is needed to produce
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "SolarPower")
	float mMinHeatValue = 0.0f;
};